.section {
    margin-bottom: rem(24);

    &--md {
        margin-bottom: rem(28);
    }

    &--xl {
        margin-bottom: rem(40);
    }

    &__header {
        margin-bottom: rem(16);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__link {
        fill: var(--gray-40);
        color: var(--gray-40);
        display: flex;
        align-items: center;
        row-gap: rem(4);

        span {
            display: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            width: rem(24);
            height: rem(24);
            display: block;
            flex-shrink: 0
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(40);

        &--md {
            margin-bottom: rem(28);
        }

        &__header {
            margin-bottom: rem(24);

            &--sm {
                margin-bottom: rem(14);
            }
        }

        &__link {
            font-size: rem(15);
            line-height: rem(22);
            text-decoration: none;
            transition: var(--transition-time);

            span {
                display: block;
            }

            &:hover {
                fill: var(--blue);
                color: var(--blue);
                transition: var(--transition-time);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &--xl {
            margin-bottom: rem(68);
        }

        &__link {
            font-size: rem(12);
            line-height: rem(16);

            i {
                width: rem(16);
                height: rem(16);
            }
        }

        &__header {
            margin-bottom: rem(16);

            &--sm {
                margin-bottom: rem(14);
            }
        }
    }
}

.section-heading {
    font-size: rem(15);
    line-height: rem(24);
    margin-bottom: rem(16);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(14);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(20);
        line-height: rem(28);
        margin-bottom: rem(14);
    }
}
